package com.taauav.admin.controller;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.taauav.common.bean.Response;
import com.taauav.admin.entity.SysAdmin;
import com.taauav.admin.service.ISysAdminService;
import com.taauav.admin.service.ISysAuthRuleService;
import com.taauav.common.util.ShiroUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @author dyg
 */
@RestController
@RequestMapping("/admin")
public class AdminController extends BaseController {
    @Autowired
    private ISysAuthRuleService iSysAuthRuleService;
    @Autowired
    private Response response;
    @Autowired
    private ISysAdminService adminService;

    /**
     * 登录用户的信息
     * @return
     */
    @RequestMapping("/info")
    public Response info() {
        Integer adminId = ShiroUtils.getAdminId();
        SysAdmin info = adminService.getAdminInfo(adminId);
        Map<String,Object> map = new HashMap<String,Object>();
        List<Map<String,Object>> ruleList = iSysAuthRuleService.getRuleList(info.getId());
        String permission = iSysAuthRuleService.getPermission(info);
        map.put("info", info);
//        map.put("ruleList",ruleList);
        map.put("permission", permission);
        return response.success(map);
    }

    /**
     * 获取所有菜单
     * @return
     */
    @GetMapping("/authList")
    public Response authList() {
        QueryWrapper wrapper = new QueryWrapper();
        wrapper.eq("mark", 1);
        wrapper.eq("status", 1);
        List<Map<String, Object>> list = iSysAuthRuleService.listMaps(wrapper);
        return response.success(list);
    }
}
