package com.taauav.admin.entity;


import com.baomidou.mybatisplus.annotation.TableName;
import com.taauav.common.domain.Entity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.NotEmpty;
import java.io.Serializable;

/**
 * <p>
 * 用户组表
 * </p>
 *
 * @author dyg
 * @since 2019-11-04
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("sys_auth_group")
public class SysAuthGroup extends Entity {

    private static final long serialVersionUID = 1L;
    /**
     * 父级ID
     */
    private Integer pid;

    /**
     * 用户组中文名称
     */
    @NotEmpty(message = "角色名称不能为空")
    @Length(min = 2, max = 10, message = "角色名称长度为2-10个字")
    private String name;

    /**
     * 有无子级：1有 2无
     */
    private Integer hasChild;

    /**
     * 角色层级
     */
    private Integer level;

    /**
     * 用户组拥有的规则id，多个规则","隔开
     */
    private String rules;

    /**
     * 备注
     */
    @Length(max = 200, message = "备注不能超过200字")
    private String remark;


    /**
     * 排序
     */
    private Integer sort;

    @Override
    public String toString() {
        return "SysAuthGroup{" +
                ", pid=" + pid +
                ", name='" + name + '\'' +
                ", hasChild=" + hasChild +
                ", level=" + level +
                ", rules='" + rules + '\'' +
                ", remark='" + remark + '\'' +
                ", sort=" + sort +
                '}';
    }
}
