package com.taauav.admin.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.taauav.admin.dto.TauvReportDTO;
import com.taauav.admin.dto.TauvReportInputDTO;
import com.taauav.admin.entity.TauvReport;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 巡检报告表 Mapper 接口
 * </p>
 *
 * @author dyg
 * @since 2019-11-22
 */
public interface TauvReportMapper extends BaseMapper<TauvReport> {
    /**
     * 获取待生成报告数据列表
     * @param page
     * @param param
     * @return
     */
    List<TauvReportDTO> getPageDataList(IPage<TauvReportDTO> page, @RequestParam("param") Map<String,Object> param);

    /**
     * 获取报告审核列表
     * @param page
     * @param param
     * @return
     */
    List<TauvReportDTO> getCheckList(IPage<TauvReportDTO> page, @RequestParam("param") Map<String,Object> param);

    /**
     * 获取外部用户报告查询列表
     * @param page
     * @param param
     * @return
     */
    List<TauvReportDTO> getInnerUserSearchDataList(IPage<TauvReportDTO> page, @RequestParam("param") Map<String,Object> param);

    /**
     * 报告录入列表
     * @param page
     * @param param
     * @return
     */
    List<TauvReportInputDTO> getInputList(IPage<TauvReportInputDTO> page, @RequestParam("param") Map<String,Object> param);

    /**
     * 查询报告中满足条件河道数量
     * @param param
     * @return
     */
    Map<String, Object> selectDriverCount(@Param("param") Map<String, Object> param);
}
