package com.taauav.admin.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.taauav.common.bean.Response;
import com.taauav.admin.entity.SysCity;
import com.taauav.common.service.IBaseService;

import java.math.BigInteger;
import java.util.List;
import java.util.Map;

/**
 * <p>
 * 城市表 服务类
 * </p>
 *
 * @author dyg
 * @since 2019-11-13
 */
public interface ISysCityService extends IService<SysCity> {
    /**
     * 根据父级编号获取数据
     *
     * @param pid 320100  南京编号
     * @return
     */
    List<Map<String, Object>> getCityListByPid(Integer pid);

    /**
     * 获取城市列表
     *
     * @param pid
     * @return
     */
    List<SysCity> getCityList(BigInteger pid);

    /**
     * 根据父级编号和用户信息获取城市列表
     *
     * @param pid
     * @return
     */
    List<Map<String, Object>> getCityListByPidAndAdmin(Integer pid);

    /**
     * 根据id获取城市数据
     *
     * @param id
     * @return
     */
    SysCity getInfoById(BigInteger id);

    /**
     * 获取城市各辖区河道信息
     *
     * @param cityId
     * @return
     */
    Response getCityDriverList(Integer cityId);

    /**
     * 根据城市ID获取城市名称
     *
     * @param cityId
     * @return
     */
    String getCityName(BigInteger cityId);
}
