package com.taauav.admin.service;

import com.taauav.common.bean.Response;
import com.taauav.admin.entity.SysConfig;
import com.taauav.common.service.IBaseService;

import java.util.Map;

/**
 * <p>
 * 系统配置表 服务类
 * </p>
 *
 * @author dyg
 * @since 2019-11-12
 */
public interface ISysConfigService extends IBaseService<SysConfig> {
    /**
     * 获取列表分页数据
     *
     * @param map
     * @return
     */
    Response getPageList(Map<String, String> map);

    /**
     * 根据id获取配置数据
     *
     * @param id
     * @return
     */
    SysConfig getConfigById(Integer id);

    /**
     * 添加、编辑配置数据
     *
     * @param map
     * @return
     */
    Response editData(SysConfig map);

    /**
     * 设置数据状态
     *
     * @param map
     * @return
     */
    Response setStatus(Map<String, Integer> map);
}
