package com.taauav.admin.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.taauav.admin.entity.SysCity;
import com.taauav.common.bean.Response;

import java.math.BigInteger;

/**
 * <p>
 * 用户组表 服务类
 * </p>
 *
 * @author dyg
 * @since 2020-04-01
 */
public interface ITauvCityService extends IService<SysCity> {

    /**
     * 获取机构列表
     *
     * @return
     */
    Response getList();

    /**
     * 添加机构
     *
     * @param entity 实体对象
     * @return
     */
    Response add(SysCity entity);

    /**
     * 获取机构详情
     *
     * @param id 机构ID
     * @return
     */
    Response info(BigInteger id);

    /**
     * 编辑机构
     *
     * @param entity 实体对象
     * @return
     */
    Response edit(SysCity entity);

    /**
     * 删除机构
     *
     * @param id 机构ID
     * @return
     */
    Response delete(BigInteger id);

    /**
     * 设置状态
     *
     * @param entity 实体对象
     * @return
     */
    Response setStatus(SysCity entity);

    /**
     * 获取子级城市
     *
     * @param pid 上级ID
     * @return
     */
    Response getChildCityList(BigInteger pid);

}
