package com.taauav.admin.service;

import com.taauav.admin.dto.TauvInspectDriverAssignTaskDTO;
import com.taauav.common.bean.Response;
import com.taauav.admin.entity.TauvInspect;
import com.taauav.admin.entity.TauvInspectDriver;
import com.taauav.admin.validate.ExecuteTask;
import com.taauav.common.service.IBaseService;

import java.util.Map;

/**
 * <p>
 * 巡检任务河道表 服务类
 * </p>
 *
 * @author dyg
 * @since 2019-11-14
 */
public interface ITauvInspectDriverService extends IBaseService<TauvInspectDriver> {

    /**
     * 添加任务对应数据
     *
     * @param inspect
     * @return
     */
    String batchAddData(TauvInspect inspect);

    /**
     * 获取分页数据
     *
     * @param map
     * @param act
     * @return
     */
    Response getPageList(Map<String, Object> map, String act);

    /**
     * 根据id获取数据
     *
     * @param id
     * @return
     */
    TauvInspectDriver getInfoById(Integer id);

    /**
     * 待分类任务ID集合
     *
     * @param inspectDriverIds
     * @return
     */
    Response getAssignTaskList(String inspectDriverIds);

    /**
     * 批量分配任务
     *
     * @param inspectDriverAssignTaskDTO
     * @return
     */
    Response assignTask(TauvInspectDriverAssignTaskDTO inspectDriverAssignTaskDTO);

//    /**
//     * 分配任务
//     *
//     * @param id
//     * @param flightGroupId
//     * @return
//     */
//    boolean assignFlightGroup(Integer id, Integer flightGroupId);

    /**
     * 任务详情
     *
     * @param id
     * @return
     */
    Map<String, Object> detail(Integer id);

    /**
     * 取消任务
     *
     * @param map
     * @return
     */
    Response cancel(Map<String, String> map);

    /**
     * 执行任务
     *
     * @param executeTask
     * @return
     */
    Response executeTask(ExecuteTask executeTask);

    /**
     * 获取打印数据
     *
     * @param id
     * @return
     */
    Response getPrintData(Integer id);

    /**
     * 判断是否已生成报告
     *
     * @param map
     * @return
     */
    Response existReport(Map<String, Object> map);

    /**
     * 删除任务
     *
     * @param map
     * @return
     */
    Response dropTask(Map<String, Object> map);

    /**
     * 重处理任务
     *
     * @param map
     * @return
     */
    Response reProcess(Map<String, Object> map);

}
