package com.taauav.admin.service;

import com.taauav.admin.entity.TauvMountEquipment;
import com.taauav.admin.query.MountEquipmentQuery;
import com.taauav.common.bean.Response;
import com.taauav.common.service.IBaseService;

import java.util.List;


/**
 * <p>
 * 挂载设备表 服务类
 * </p>
 *
 * @author dyg
 * @since 2020-04-01
 */
public interface ITauvMountEquipmentService extends IBaseService<TauvMountEquipment> {

    /**
     * 获取挂载设备列表
     *
     * @param query 查询条件
     * @return
     */
    Response getList(MountEquipmentQuery query);

    /**
     * 添加挂载设备
     *
     * @param entity 实体对象
     * @return
     */
    Response add(TauvMountEquipment entity);

    /**
     * 获取详情
     *
     * @param id 挂载设备ID
     * @return
     */
    Response info(Integer id);

    /**
     * 编辑挂载设备
     *
     * @param entity 实体对象
     * @return
     */
    Response edit(TauvMountEquipment entity);

    /**
     * 删除挂载设备
     *
     * @param id 设备ID
     * @return
     */
    Response drop(Integer id);

    /**
     * 设置状态
     *
     * @param entity 实体对象
     * @return
     */
    Response setStatus(TauvMountEquipment entity);

    /**
     * 获取设备配置信息
     *
     * @return
     */
    Response getParamsList();

    /**
     * 获取挂载设备列表
     *
     * @param query 查询条件
     * @return
     */
    Response getMountEquipmentList(MountEquipmentQuery query);

    /**
     * 获取挂载设备名称
     *
     * @param mountequipmentIds 挂载设备ID
     * @return
     */
    List<String> getMountEquipmentNameByIds(String mountequipmentIds);

}
