package com.taauav.front.controller;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.taauav.admin.entity.TauvDriver;
import com.taauav.admin.entity.TauvDriverPoint;
import com.taauav.admin.service.ICtAdService;
import com.taauav.admin.service.ITauvDriverPointService;
import com.taauav.admin.service.ITauvDriverService;
import com.taauav.common.bean.Response;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.io.*;
import java.math.BigInteger;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * 测试控制器
 *
 * @author
 */
@RequestMapping("/front/test")
@RestController
public class FrontTestController {
    @Autowired
    private ICtAdService adService;
    @Autowired
    private ITauvDriverService tauvDriverService;

    @Autowired
    private ITauvDriverPointService tauvDriverPointService;

    @GetMapping("index")
    public void index() {
        System.out.println("test index=" + adService.getInfo(1));
    }

    @GetMapping("getDriver")
    public Response getDriver(@RequestParam("level") String level) {
        List<Map<String, Object>> lt = new ArrayList<>();
        QueryWrapper<TauvDriver> queryWrapper = new QueryWrapper<>();
        //queryWrapper.like("driver_code","320117");
        queryWrapper.eq("level", Integer.valueOf(level));
        List<TauvDriver> driverList = tauvDriverService.list(queryWrapper);
        for (TauvDriver driver : driverList) {
            Map<String, Object> mp = new HashMap<>();
            mp.put("id", driver.getId());
            mp.put("name", driver.getName());

            List<TauvDriverPoint> pointList = tauvDriverPointService.getListByDriverId(driver.getId());
            mp.put("mapInfo", pointList);
            lt.add(mp);
        }
        Response response = new Response();
        return response.success(lt);
    }

    @GetMapping("init")
    public void initDriver(@RequestParam("f") String f) {
        /*try {
            readFileByBytes(f);
        } catch (IOException e) {
            e.printStackTrace();
        }*/
    }

    public void readFileByBytes(String f) throws IOException {
        String fileName = "D:\\java\\file\\driver_" + f + ".json";
        File file = new File(fileName);
        InputStream in = null;
        StringBuffer sb = new StringBuffer();
        if (file.isFile() && file.exists()) {

            try {
                in = new FileInputStream(file);
                BufferedReader br = new BufferedReader(new InputStreamReader(in, "utf-8"));
                String buff;
                while ((buff = br.readLine()) != null) {
                    sb.append(buff);
                }

            } catch (FileNotFoundException e) {
                e.printStackTrace();
            } catch (IOException e) {
                e.printStackTrace();
            } finally {
                in.close();
            }

            JSONArray jsonArray = JSON.parseArray(sb.toString());

            for (int i = 0; i < jsonArray.size(); i++) {
                JSONObject jsonObject = jsonArray.getJSONObject(i);
                TauvDriver driver = new TauvDriver();
                String areaName = jsonObject.getString("areaName");
                String level = jsonObject.getString("levelId");
                String areaCode = jsonObject.getString("areaCode");
                String riverName = jsonObject.getString("riverName");
                String riverType = jsonObject.getString("riverType");
                String riverTypeID = jsonObject.getString("riverTypeID");
                String riverId = jsonObject.getString("riverId");
                String start = jsonObject.getString("start");
                String end = jsonObject.getString("end");
                driver.setName(riverName);
//                driver.setDriverCode(areaCode);
                if (riverType.equals("河流")) {
                    driver.setType(1);
                } else if (riverType.equals("水库")) {
                    driver.setType(2);
                } else if (riverType.equals("湖泊")) {
                    driver.setType(3);
                } else if (riverType.equals("重点塘坝")) {
                    driver.setType(4);
                } else {
                    driver.setType(5);
                }
                driver.setLevel(Integer.valueOf(level));
                driver.setLength("0");
                driver.setStartPoint(start);
                driver.setEndPoint(end);
                tauvDriverService.addData(driver);
                Integer driverId = driver.getId();
                JSONArray arrayInfo = jsonObject.getJSONArray("mapInfoList");
                System.out.println("driverId=" + driverId);
                if (arrayInfo != null && arrayInfo.size() > 0) {
                    for (int j = 0; j < arrayInfo.size(); j++) {
                        JSONObject objectInfo = arrayInfo.getJSONObject(j);
                        String x = objectInfo.getString("x");
                        String y = objectInfo.getString("y");
                        TauvDriverPoint driverPoint = new TauvDriverPoint();
                        driverPoint.setDriverId(driverId);
                        driverPoint.setX(x);
                        driverPoint.setY(y);
                        tauvDriverPointService.addData(driverPoint);
                    }
                }

            }

        }
    }
}
