package com.taauav.front.controller;


import com.taauav.common.bean.Response;
import com.taauav.front.query.LSReportQuery;
import com.taauav.front.service.ILSReportService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * <p>
 * 巡检报告表 前端控制器
 * </p>
 *
 * @author dyg
 * @since 2020-04-10
 */
@RestController
@RequestMapping("/front/report")
public class LSReportController extends FrontBaseController {

    @Autowired
    private ILSReportService reportService;

    /**
     * 获取报告列表
     *
     * @param query 查询条件
     * @return
     */
    @PostMapping("/index")
    public Response index(@RequestBody(required = false) LSReportQuery query) {
        return reportService.getList(query, this.userId);
    }

    /**
     * 获取报告详情
     *
     * @param id 报告ID
     * @return
     */
    @GetMapping("/detail")
    public Response detail(Integer id) {
        return reportService.detail(id);
    }

}
