package com.taauav.front.query;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.taauav.common.core.mps.BaseQuery;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigInteger;
import java.util.Date;

/**
 * 报告查询对象
 */
@Data
public class LSReportQuery extends BaseQuery {

    /**
     * 报告单号
     */
    private String reportNo;

    /**
     * 河湖名称
     */
    private String driverName;

    /**
     * 巡检时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date inspectTime;

    /**
     * 区划ID
     */
    private BigInteger driverArea;

}
